%define name	nagat
%define version	1.0
%define snap	20030306
%define release 0.%{snap}.1mdk
%define webadminroot /var/www/html/admin

Summary:	Nagios Administration Tool
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{name}-%{version}-%{snap}.tar.bz2
Patch0:		%{name}-%{version}-config.patch.bz2
License:	GPL
URL:		http://sourceforge.net/projects/nagat/
Group:		System/Servers
Epoch:		1
Requires:	nagios nagios-plugins apache2 php-common mod_php
BuildArch:	noarch
Prefix:		%{webadminroot}
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
Nagat, or Nagios Administration Tool, is a webbased solution
written in PHP for configuring Nagios, a host and service monitor.

%prep
%setup -q -n %{name}-%{version}

# fix file perms
find . -type f | xargs chmod 644

%patch0 -p0

%build

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}/%{webadminroot}/%{name}
install -m644 *.php %{buildroot}/%{webadminroot}/%{name}/
install -m644 *.inc %{buildroot}/%{webadminroot}/%{name}/
install -m644 local.inc.dist %{buildroot}/%{webadminroot}/%{name}/local.inc
touch %{buildroot}/%{webadminroot}/%{name}/nagatcfg.dat
touch %{buildroot}/%{webadminroot}/%{name}/nagatobjs.dat

%post
echo "Remember to run:"
echo "chown apache.apache /etc/nagios/*"
echo "chmod 666 /etc/nagios/*"

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc ChangeLog README TODO
%config(noreplace) %attr(0644,root,root) %{webadminroot}/%{name}/local.inc
%config(noreplace) %attr(0666,apache,apache) %{webadminroot}/%{name}/nagatcfg.dat
%config(noreplace) %attr(0666,apache,apache) %{webadminroot}/%{name}/nagatobjs.dat
%{webadminroot}/%{name}

%changelog
* Tue Jul 29 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.0-0.20030306.1mdk
- own %{webadminroot}/%{name}
- use code from cvs
- fix P0

* Mon Feb 24 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.0-0.a2.1mdk
- initial cooker contrib
